Package org.codehaus.groovy.control.io

# Class URLReaderSource

java.lang.Object
org.codehaus.groovy.control.io.AbstractReaderSource
org.codehaus.groovy.control.io.URLReaderSource

All Implemented Interfaces:
  `HasCleanup`, `ReaderSource`

public class URLReaderSource extends AbstractReaderSource
A ReaderSource for source files hosted at a URL.

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.control.io.AbstractReaderSource

  `configuration`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `URLReaderSource(URL url, CompilerConfiguration configuration)`
  Creates the ReaderSource from a File descriptor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Reader`
  `getReader()`
  Returns a new Reader on the underlying source object.
  `URI`
  `getURI()`
  Returns a URI for the URL of this source.

  ### Methods inherited from class org.codehaus.groovy.control.io.AbstractReaderSource

  `canReopenSource, cleanup, getLine`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### URLReaderSource

    public URLReaderSource(URL url, CompilerConfiguration configuration)
    Creates the ReaderSource from a File descriptor.
    Parameters:
      `url` - url pointing to script source
      `configuration` - configuration for compiling source

- ## Method Details

  - ### getReader

    public Reader getReader() throws IOException
    Returns a new Reader on the underlying source object.
    Returns:
      the reader to the resource
    Throws:
      `IOException` - if there was an error opening for stream

  - ### getURI

    public URI getURI()
    Returns a URI for the URL of this source.
    Returns:
      URI for the URL of this source.